Subject: Re: [PATCH] run-command: introduce CHILD_PROCESS_INIT

From: Jeff King <[email-masked]>
Date: Sun, 17 Aug 2014 03:29:09 -0400

On Sun, Aug 17, 2014 at 09:25:58AM +0200, René Scharfe wrote:

> >I think one reason we never had an INIT macro here is that you cannot
> >simply use the struct after zero-ing it anyway. That's just the first
> >step, and then you have to tweak a bunch of fields to get what you want.
> >So the memset is just one setup line out of many.
> 
> Some (or most?) of these steps could be converted to named
> initializers -- once all supported platforms provide them..

Yeah, I'd be fine with that, but I am not holding my breath on the
"once..." in your statement. :)

-Peff